# Support NFT collections minted in both Ethereum Layer 1 and Loopring Layer 2

A full set of NFTs is typically associated with a smart contract, but if the contract is customizable, the interface <mark style="color:blue;">**IL2MintableNFT**</mark> is required to support minting from both Ethereum L1 and Loopring L2. (for example, one batch of NFTs will be minted from L1, and the other batch will be minted from L2).

{% hint style="info" %}
The code is available here: \
<https://github.com/Loopring/protocols/blob/release_loopring_3.6.3/packages/loopring_v3/contracts/core/iface/IL2MintableNFT.sol>
{% endhint %}

The <mark style="color:orange;">**`collection_metadata`**</mark> field in the NFT metadata part needs to be implemented correctly to ensure the NFT (whether it's minted directly from Loopring L2 or minted from Ethereum L1 and then deposited to Loopring L2) can be properly categorized in the desired collection in Loopring L2.

For more information regarding collections on L2, please refer to ["Collection Implementation in Loopring Layer 2"](/nft/advanced/collection-implementation-in-loopring-layer-2.md).&#x20;

Meanwhile, unlike Opensea, which binds the creator's royalty information in the collection in Ethereum L1, the royalty information is expected to bind with NFT metadata directly in Loopring L2. For NFTs listed and sold in Loopring L2, the Loopring relayer will automatically distribute the royalty fee to the creator's L2 account for each NFT traded. So, in order for the creator to receive a royalty fee when the NFT is traded on Loopring L2, the creator must ensure

1. Include the royalty percentage field in the NFT metadata.
2. Activate the Loopring L2 account of the creator wallet.

Please refer to a detailed explanation of the metadata standard used in Loopring L2 ["Loopring Layer 2 Mint Metadata Explanation"](/nft/advanced/loopring-layer-2-mint-metadata-explanation.md).

Note, if the NFT is an ERC721 token, the user may mint one NFT in L1 while still being able to mint the same NFT (same tokenID) in L2; and vice versa. Since there is already one NFT in L1, the one in L2 will not be able to withdraw to L1. This is referred to as "**twin coexistence**".

It is the responsibility of the NFT project owner to ensure that this does not occur, or else the NFT owner will suffer asset loss.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-dapp.loopring.io/nft/advanced/support-nft-collections-minted-in-both-ethereum-layer-1-and-loopring-layer-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
